import Color from "../../system/Color";
import { StiHorizontalAlignment, StiVerticalAlignment } from "../../system/enums";
import { Font } from "../../system/Font";
import StiJson from "../../system/StiJson";
import { StiBackgroundedTextItem } from "./StiBackgroundedTextItem";
export declare class StiBackgroundedAlignedTextItem extends StiBackgroundedTextItem {
    font: Font;
    color: Color;
    backgroundColor: Color;
    horizontalAlignment: StiHorizontalAlignment;
    verticalAlignment: StiVerticalAlignment;
    constructor(value?: string, font?: Font, color?: Color, backgroundColor?: Color, horizontalAlignment?: StiHorizontalAlignment, verticalAlignment?: StiVerticalAlignment);
    get eContentAlignment(): StiHorizontalAlignment;
    set eContentAlignment(value: StiHorizontalAlignment);
    get eVerticalAlignment(): StiVerticalAlignment;
    set eVerticalAlignment(value: StiVerticalAlignment);
    haveVerticalAlignment(): boolean;
    haveContentAlignment(): boolean;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
